Subscribe

OnCommand System Manager 7-Mode & Java Version support

We are working with a filer running 7-mode and managing it via OnCommand System Manager 3.1.3 which requires Java 8.  However, there are security issues with JRE8 and we are required to upgrade this to a supported version of JRE.

 

Are there plans to have OCSM 7-mode work with a later version of JRE, or is all development on OCSM discontinued?  If so, are there any other options people know of to be able to manage a 7-Mode system w/ OCSM.

 

My only other option going forward would be just straight CLI which would pose a technical learning curve for other admins of the system.

 

Any feedback/suggestions are welcomed.

Re: OnCommand System Manager 7-Mode & Java Version support

What version of Java you have to use instead?

Re: OnCommand System Manager 7-Mode & Java Version support

Try to run jar file manually using this instructions in KB:

https://mysupport.netapp.com/NOW/cgi-bin/bol?Type=Detail&Display=864070

Re: OnCommand System Manager 7-Mode & Java Version support

Actually as it turns out I am able to run OnCommand System Manager (v3.1.3) on my server with Java 10.0.1 & have seen no adverse reaction from the interface, but your suggestion of running the .jar file manually was the next step I was going to try as I recall having had issues in the past when I upgraded the JRE v8 version.